Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Exitwp is tool primarily aimed for making migration from one or more wordpress blogs to the jekyll blog engine as easy as possible.
Python
tree: 719f51d94f

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
wordpress-xml
.gitignore
README.rst
config.yaml
exitwp.py
html2text.py
pip_requirements.txt

README.rst

Exitwp

Exitwp is tool for making migration from one or more wordpress blogs to the jekyll blog engine as easy as possible.

By default it will try to convert as much information as possible from wordpress but can also be told to filter the amount of data it converts.

The latest version of these docs should always be available at https://github.com/thomasf/exitwp

Getting started

  • Download or clone using git clone https://github.com/thomasf/exitwp
  • Export one or more wordpress blogs using the wordpress exporter under tools/export in wordpress admin.
  • Put all wordpress xml files in the wordpress-xml directory
  • Special note for Wordpress 3.1, you need to add a missing namespace in rss tag : xmlns:atom="http://www.w3.org/2005/Atom"
  • Run xmllint on your export file and fix errors if there are.
  • Run the converter by typing python exitwp.py in the console from the directory of the unzipped archive
  • You should now have all the blogs converted into separate directories under the build directory

Runtime dependencies

  • Python 2.6, 2.7, ???
  • html2text : converts HTML to markdown (python)
  • PyYAML : Reading configuration files and writing YAML headers (python)
  • Beautiful soup : Parsing and downloading of post images/attachments (python)

Installing dependencies in ubuntu/debian

sudo apt-get install python-yaml python-beautifulsoup python-html2text

Installing Python dependencies using python package installer (pip)

From the checked out root for this project, type:

sudo pip install --upgrade -r pip_requirements.txt

Note that PyYAML will require other packages to compile correctly under ubuntu/debian, these are installed by typing:

sudo apt-get install libyaml-dev python-dev build-essential

Configuration/Customization

See the configuration file for all configurable options.

Some things like custom handling of non standard post types is not fully configurable through the config file. You might have to modify the source code to add custom parsing behaviour.

Known issues

  • Target file names are some times less than optimal.
  • Rewriting of image/attachment links if they are downloaded would be a good feature
  • Meaningful translation/filtering of wikipedia publish statuses into something that usable within a fairly standard jekyll setup.
  • There will probably be issues when migrating non utf-8 encoded wordpress dump files (if they exist).

Other Tools

Something went wrong with that request. Please try again.